# Legacy script upload (unsupported) (/en/docs/api/compatible/cloudflare/uploadScriptLegacy)



`PUT /cloudflare/client/v4/accounts/{account_id}/workers/scripts/{script_name}`

Not supported: answers 501. Use POST workers/workers and POST workers/workers/\{worker\_id}/versions?deploy=true.

**Support: unsupported**

Not supported: answers 501. Use POST workers/workers and POST workers/workers/\{worker\_id}/versions?deploy=true.

## Parameters [#parameters]

| Name         | Location | Type   | Required | Description                                     |
| ------------ | -------- | ------ | -------- | ----------------------------------------------- |
| account\_id  | path     | string | true     | Any value; your account comes from the API key. |
| script\_name | path     | string | true     | Worker name.                                    |

## Response [#response]

This endpoint does not declare a successful response.
